Name:           xfce4-clipman-plugin
Version:        1.0.2
Release:        1%{?dist}
Summary:        Clipboard manager plugin for the Xfce panel

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://goodies.xfce.org/projects/panel-plugins/%{name}
Source0:        http://goodies.xfce.org/releases/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libxfcegui4-devel >= 4.4.0
BuildRequires:  xfce4-panel-devel >= 4.4.0
BuildRequires:  exo-devel >= 0.3.0 
BuildRequires:  libglade2-devel >= 2.6.0
BuildRequires:  xfconf-devel >= 4.6.0
BuildRequires:  gettext, intltool, desktop-file-utils
Requires:       xfce4-panel >= 4.4.0, xfce4-doc

%description
This is a simple cliboard history for Xfce panel. It includes a "Clear 
clipboard" option, and a drag-and-drop paste feature.


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

desktop-file-install                                      \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
  --add-category=X-Xfce                                   \
  --remove-only-show-in="GNOME;KDE;LXDE"                  \
  --delete-original                                       \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop

desktop-file-install                                      \
  --dir ${RPM_BUILD_ROOT}%{_sysconfdir}/xdg/autostart     \
  --add-category=X-Xfce                                   \
  --delete-original                                       \
  ${RPM_BUILD_ROOT}%{_sysconfdir}/xdg/autostart/%{name}-autostart.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
#%{_libexecdir}/xfce4/panel-plugins/%{name}
%config %{_sysconfdir}/xdg/autostart/%{name}-autostart.desktop
%config(noreplace) %{_sysconfdir}/xdg/xfce4/panel/xfce4-clipman-actions.xml
%{_bindir}/%{name}
%{_bindir}/xfce4-popup-clipman
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/xfce4/doc/*/images/clipman-*.png
%{_datadir}/xfce4/doc/*/%{name}.html
%{_datadir}/xfce4/panel-plugins/%{name}.desktop


%changelog
* Fri Jul 03 2009 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.2-1
- Update to 1.0.2

* Thu Jun 11 2009 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.1-2
- BR desktop-file-utils

* Thu May 14 2009 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.1-1
- Update to 1.0.1

* Tue Apr 21 2009 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.0-1
- Update to 1.0.0
- Require xfce4-doc

* Mon Mar 30 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.9.1-2
- Update to 0.9.1

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jan 19 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.9.0-2
- Update to 0.9.0
- Update license tag to GPLv2+

* Sun Jan 18 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.1-2
- Rebuild for Xfce 4.6 (Beta 3)

* Fri Mar 07 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.1-1
- Update to 0.8.1 (fixes bugzilla.xfce.org #3304)

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.8.0-4
- Autorebuild for GCC 4.3

* Sat Aug 25 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.0-3
- Rebuild for BuildID feature

* Sat Apr 28 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.0-2
- Rebuild for Xfce 4.4.1

* Mon Jan 22 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.0-1
- Update to 0.8.0 on Xfce 4.4.

* Thu Oct 05 2006 Christoph Wickert <cwickert@fedoraproject.org> - 0.5.99.1-3
- Bump release for devel checkin.

* Wed Sep 13 2006 Christoph Wickert <cwickert@fedoraproject.org> - 0.5.99.1-2
- Rebuild for XFCE 4.3.99.1.
- BR perl(XML::Parser).

* Wed Sep 13 2006 Christoph Wickert <cwickert@fedoraproject.org> - 0.5.99.1-1
- Update to 0.5.99.1.

* Mon Sep 04 2006 Christoph Wickert <cwickert@fedoraproject.org> - 0.5.90.2-1
- Update to 0.5.90.2 on XFCE 4.3.90.2.

* Mon Sep 04 2006 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.1-7
- Mass rebuild for Fedora Core 6.

* Tue Apr 11 2006 Christoph Wickert <fedora wickert at arcor de> - 0.4.1-6
- Require xfce4-panel.

* Wed Feb 15 2006 Christoph Wickert <fedora wickert at arcor de> - 0.4.1-5
- Rebuild for Fedora Extras 5.

* Thu Dec 01 2005 Christoph Wickert <fedora wickert at arcor de> - 0.4.1-4
- Add libxfcegui4-devel BuildReqs.
- Fix %%defattr.

* Mon Nov 14 2005 Christoph Wickert <fedora wickert at arcor de> - 0.4.1-3
- Initial Fedora Extras version.
- Rebuild for XFCE 4.2.3.
- disable-static instead of removing .a files.

* Fri Sep 23 2005 Christoph Wickert <fedora wickert at arcor de> - 0.4.1-2.fc4.cw
- Update to 0.4.1.
- Add libxml2 BuildReqs.

* Sat Jul 09 2005 Christoph Wickert <fedora wickert at arcor de> - 0.4.1-1.fc4.cw
- Rebuild for Core 4.

* Wed Apr 13 2005 Christoph Wickert <fedora wickert at arcor de> - 0.4.1-1.fc3.cw
- Initial RPM release.
